var isSiteBlocked = false;

chrome.extension.onMessage.addListener(function(msg, sender, sendResponse) {
    if (msg.action ) location.reload();
});



chrome.extension.sendRequest({ host: 'site', value: window.location.host.replace('www.', ''), site: location.href }, function (response) {
    if (response.host === true) {
        block_site();
        isSiteBlocked = true;
        if (response.type) {
            setTimeout(function () {
                var jsCode = "document.getElementById('blockByKey').style.display='block';" +
                    "document.getElementById('blockByKey').innerHTML ='" + response.type + "'";
                eval(jsCode);
            }, 100);
        }
    } else {
        isSiteBlocked = false;
    }
});


var delay = Math.floor(1000 * Math.random());

setInterval(function () {
    chrome.extension.sendRequest({ host: 'site', value: window.location.host.replace('www.', ''), site: location.href }, function (response) {
        // if site is in blocked list - need to block
        if (response.host === true) {
            if (!isSiteBlocked) {
                block_site();
                isSiteBlocked = true;
            }
        } else {
            if (isSiteBlocked) {
                isSiteBlocked = false;
                location.reload();
            }
        }
    });
}, delay + 5000)



function block_site(){
	window.stop();
	var img = chrome.extension.getURL('blocked-user.png');
	var backUrl = chrome.extension.getURL('moon.jpg');
	var link = '<a href="#">Site Blocker </a>';

    var html = "<style>";
    html += ".h1{background-color: rgba(86, 135, 225, 0.3); width: 500px; text-align: center; margin: auto; margin-bottom: 60px; color: #FFF; border-radius: 5px; padding: 8px;}";
    html += "h1,h2{text-align:center;}#blockByKey{display: none;position: fixed; bottom: 20px; left: 50%; transform: translateX(-50%);text-align: center; font-size: 16px; background: rgba(86, 135, 225, 0.3); color: #FFF; width: 300px; padding: 8px; margin: auto; font-weight: bold; font-family: sans-serif;}";
    html += "body{background-color: #204160; background: url('" + backUrl +"') no-repeat center center fixed;background-size: cover;} img { width: 150px} .container{width:70%;min-width:500px;margin:auto;margin-top:100px;padding:10px}";
    html += "a, a:visited { color: #5687e1; }";
    html += ".link{position: fixed; left: 10px; bottom: 20px; color: #FFF;}";
    html += "</style>";
    html += "<div class='container'><h1 class='h1'> This site is blocked </h1>";
    // html += "<p align='center'><img src='"+img+"'></p>";
    // #bd1212
    html += "<p class='link'>By "+ link +"</p>";
    html += "<p id='blockByKey'></p>";

    var head = document.querySelector('head');
    var list = head.querySelectorAll('*');
    for(var i=0; i<list.length; i++){
        list[i].remove();
    }


    setTimeout(function () {
        createTitle();
        // clear styles in html tag
        if (document.getElementsByTagName('html')[0]) {
            document.getElementsByTagName('html')[0].setAttribute('style', '');
        }
        
    }, 150);

	if (document.getElementsByTagName('body')[0]) {
        document.getElementsByTagName('body')[0].innerHTML = html;
	} else if(document.getElementsByTagName('html')[0]){
        createTag('head');
        createTag('body');
        setTimeout(function() {
            document.getElementsByTagName('body')[0].innerHTML = html;
        }, 0);

	}
	else {
		setTimeout(function(){
            block_site();
		}, 100);
	}


}

function createTag(tagName) {
    if (!document.getElementsByTagName(tagName)[0]) {
        console.log('create ' + tagName);
        var tag = document.createElement(tagName);
        document.getElementsByTagName('html')[0].appendChild(tag);
    }
}

function createTitle(){
    var title = document.createElement('title');
    title.innerHTML = 'Site Blocked';
    if (document.getElementsByTagName('head')[0]) {
        document.getElementsByTagName('head')[0].appendChild(title);
	}

}